Name:          libplist33
Version:       2.2.0
Release:       2mamba
Summary:       A library to handle Apple Property List format whereas it's binary or XML
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libimobiledevice.org/
Source:        https://github.com/libimobiledevice/libplist.git/%{version}/libplist-%{version}.tar.bz2
License:       GPL
BuildRequires: cmake
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: python-Cython-py3

%description
A library to handle Apple Property List format whereas it's binary or XML.

%package tools
Group:         Development/Tools
Summary:       Tools provided with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
A library to handle Apple Property List format whereas it's binary or XML.
This package contains static tools needed for development.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A library to handle Apple Property List format whereas it's binary or XML.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n libplist-%{version}
./autogen.sh

%build
%configure

%make -j1 \
   PXDINCLUDES=plist.pxd \
%ifarch %{ix86}
   LIBS="-lm"
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   PXDINCLUDES=plist.pxd

rm -rf %{buildroot}%{python3_sitearch}/plist*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libplist-2.0.so.*
%{_libdir}/libplist++-2.0.so.*
%doc AUTHORS COPYING COPYING.LESSER

%files tools
%defattr(-,root,root)
%{_bindir}/plistutil
%{_mandir}/man1/plistutil.1*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/plist
%{_includedir}/plist/*.h
%{_includedir}/plist/cython/plist.pxd
%{_libdir}/libplist-2.0.a
%{_libdir}/libplist-2.0.so
%{_libdir}/libplist++-2.0.a
%{_libdir}/libplist++-2.0.so
%{_libdir}/pkgconfig/libplist++-2.0.pc
%{_libdir}/pkgconfig/libplist-2.0.pc
#%doc README

%changelog
* Sun Apr 28 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-2mamba
- legacy package

* Fri Jun 26 2020 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Sat Feb 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- update to 2.1.0

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Tue Mar 03 2015 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic version update by autodist

* Thu Sep 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11-2mamba
- rebuilt to fix  python-plist dependency on old libplist

* Mon Jul 28 2014 Automatic Build System <autodist@mambasoft.it> 1.11-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic version update by autodist

* Sun Jan 29 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.8-1mamba
- update to 1.8
- added python package

* Mon Sep 20 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1mamba
- package created by autospec
